# Uses of Interface
classycle.dependency.Preference

Packages that use Preference
Package
Description
classycle.dependency

## Uses of Preference in classycle.dependency

Fields in classycle.dependency declared as Preference
Modifier and Type
Field
Description
`static final Preference`
DefaultPreferenceFactory.`ALL_PATHS`
`static final Preference`
DefaultPreferenceFactory.`ALL_RESULTS`
`static final Preference`
DefaultPreferenceFactory.`ONLY_FAILURES`
`static final Preference`
DefaultPreferenceFactory.`ONLY_SHORTEST_PATHS`
Methods in classycle.dependency that return Preference
Modifier and Type
Method
Description
`Preference`
DefaultPreferenceFactory.`get(String key)`
`Preference`
PreferenceFactory.`get(String key)`
Methods in classycle.dependency with parameters of type Preference
Modifier and Type
Method
Description
`void`
DefaultResultRenderer.`considerPreference(Preference preference)`
`abstract void`
ResultRenderer.`considerPreference(Preference preference)`
`void`
XMLResultRenderer.`considerPreference(Preference preference)`
Constructors in classycle.dependency with parameters of type Preference
Modifier
Constructor
Description
``
`ShowStatement(ResultRenderer renderer, Preference[] preferences)`